<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPDataRange</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_data_range.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pri-attribs">Atrybuty prywatne</a> &#124;
<a href="#related">Funkcje powiązane</a> &#124;
<a href="class_q_c_p_data_range-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPDataRange</div></div>
</div><!--header-->
<div class="contents">

<p>Describes a data range given by begin and end index.  
 <a href="class_q_c_p_data_range.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a49e72fd9bace1da9d875136dcc04c986"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#a49e72fd9bace1da9d875136dcc04c986">QCPDataRange</a> ()</td></tr>
<tr class="separator:a49e72fd9bace1da9d875136dcc04c986"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c7f4a3684210423270515403060e9cf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#a6c7f4a3684210423270515403060e9cf">QCPDataRange</a> (int <a class="el" href="class_q_c_p_data_range.html#ae76d7eba9defdfafcd0fc41096793129">begin</a>, int <a class="el" href="class_q_c_p_data_range.html#aee1b20fb045929c3753ee2ce14af7630">end</a>)</td></tr>
<tr class="separator:a6c7f4a3684210423270515403060e9cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bfd79a282f6ebd766d60caa683242d3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#a8bfd79a282f6ebd766d60caa683242d3">operator==</a> (const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;other) const</td></tr>
<tr class="separator:a8bfd79a282f6ebd766d60caa683242d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bcc9597731a7455407853ed0585f6ab"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#a5bcc9597731a7455407853ed0585f6ab">operator!=</a> (const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;other) const</td></tr>
<tr class="separator:a5bcc9597731a7455407853ed0585f6ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae76d7eba9defdfafcd0fc41096793129"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#ae76d7eba9defdfafcd0fc41096793129">begin</a> () const</td></tr>
<tr class="separator:ae76d7eba9defdfafcd0fc41096793129"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee1b20fb045929c3753ee2ce14af7630"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#aee1b20fb045929c3753ee2ce14af7630">end</a> () const</td></tr>
<tr class="separator:aee1b20fb045929c3753ee2ce14af7630"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6af055e509d1b691c244954ff1c5887"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#ac6af055e509d1b691c244954ff1c5887">size</a> () const</td></tr>
<tr class="separator:ac6af055e509d1b691c244954ff1c5887"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e7836058f755c6ab9f11996477b7150"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#a1e7836058f755c6ab9f11996477b7150">length</a> () const</td></tr>
<tr class="separator:a1e7836058f755c6ab9f11996477b7150"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54ff59048e01e46ac4aefafc844626c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#a54ff59048e01e46ac4aefafc844626c6">setBegin</a> (int <a class="el" href="class_q_c_p_data_range.html#ae76d7eba9defdfafcd0fc41096793129">begin</a>)</td></tr>
<tr class="separator:a54ff59048e01e46ac4aefafc844626c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a277f1a9eafe70b9184d9c00b641ae5de"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#a277f1a9eafe70b9184d9c00b641ae5de">setEnd</a> (int <a class="el" href="class_q_c_p_data_range.html#aee1b20fb045929c3753ee2ce14af7630">end</a>)</td></tr>
<tr class="separator:a277f1a9eafe70b9184d9c00b641ae5de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae53a37472212dca0a7939963e20dba0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#aae53a37472212dca0a7939963e20dba0">isValid</a> () const</td></tr>
<tr class="separator:aae53a37472212dca0a7939963e20dba0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac32e53fc05d6cd2eac96b96a7265d3b8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#ac32e53fc05d6cd2eac96b96a7265d3b8">isEmpty</a> () const</td></tr>
<tr class="separator:ac32e53fc05d6cd2eac96b96a7265d3b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93529421d12fdd3a8bdb2b8061936352"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#a93529421d12fdd3a8bdb2b8061936352">bounded</a> (const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;other) const</td></tr>
<tr class="separator:a93529421d12fdd3a8bdb2b8061936352"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36c8ad8acf177ffeb0a72c8d73030844"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#a36c8ad8acf177ffeb0a72c8d73030844">expanded</a> (const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;other) const</td></tr>
<tr class="separator:a36c8ad8acf177ffeb0a72c8d73030844"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84e1e03129dd52528efb4bac18d30183"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#a84e1e03129dd52528efb4bac18d30183">intersection</a> (const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;other) const</td></tr>
<tr class="separator:a84e1e03129dd52528efb4bac18d30183"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a279ed36602b39607699dc5652bcaf813"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#a279ed36602b39607699dc5652bcaf813">adjusted</a> (int changeBegin, int changeEnd) const</td></tr>
<tr class="separator:a279ed36602b39607699dc5652bcaf813"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a1c437f9beffd55621f48f961d7f679"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#a8a1c437f9beffd55621f48f961d7f679">intersects</a> (const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;other) const</td></tr>
<tr class="separator:a8a1c437f9beffd55621f48f961d7f679"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13ca398776374a3160aa85433718b812"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#a13ca398776374a3160aa85433718b812">contains</a> (const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;other) const</td></tr>
<tr class="separator:a13ca398776374a3160aa85433718b812"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Atrybuty prywatne</h2></td></tr>
<tr class="memitem:a849baf613e8ad866a66aaf45682dde53"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#a849baf613e8ad866a66aaf45682dde53">mBegin</a></td></tr>
<tr class="separator:a849baf613e8ad866a66aaf45682dde53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac22cfcf2795d5e9f617d788be9fb14a0"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#ac22cfcf2795d5e9f617d788be9fb14a0">mEnd</a></td></tr>
<tr class="separator:ac22cfcf2795d5e9f617d788be9fb14a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="related" name="related"></a>
Funkcje powiązane</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Zauważ, że to nie są metody klas.) </p>
</td></tr>
<tr class="memitem:a486dd7af8a090ed069672e3510e6a082"><td class="memItemLeft" align="right" valign="top">QDebug&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_range.html#a486dd7af8a090ed069672e3510e6a082">operator&lt;&lt;</a> (QDebug d, const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;dataRange)</td></tr>
<tr class="separator:a486dd7af8a090ed069672e3510e6a082"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p><a class="el" href="class_q_c_p_data_range.html" title="Describes a data range given by begin and end index.">QCPDataRange</a> holds two integers describing the begin (<a class="el" href="class_q_c_p_data_range.html#a54ff59048e01e46ac4aefafc844626c6">setBegin</a>) and end (<a class="el" href="class_q_c_p_data_range.html#a277f1a9eafe70b9184d9c00b641ae5de">setEnd</a>) index of a contiguous set of data points. The <em>end</em> index corresponds to the data point just after the last data point of the data range, like in standard iterators.</p>
<p>Data Ranges are not bound to a certain plottable, thus they can be freely exchanged, created and modified. If a non-contiguous data set shall be described, the class <a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a> is used, which holds and manages multiple instances of <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a>. In most situations, <a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a> is thus used.</p>
<p>Both <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> and <a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a> offer convenience methods to work with them, e.g. <a class="el" href="class_q_c_p_data_range.html#a93529421d12fdd3a8bdb2b8061936352">bounded</a>, <a class="el" href="class_q_c_p_data_range.html#a36c8ad8acf177ffeb0a72c8d73030844">expanded</a>, <a class="el" href="class_q_c_p_data_range.html#a8a1c437f9beffd55621f48f961d7f679">intersects</a>, <a class="el" href="class_q_c_p_data_range.html#a84e1e03129dd52528efb4bac18d30183">intersection</a>, <a class="el" href="class_q_c_p_data_range.html#a279ed36602b39607699dc5652bcaf813">adjusted</a>, <a class="el" href="class_q_c_p_data_range.html#a13ca398776374a3160aa85433718b812">contains</a>. Further, addition and subtraction operators (defined in <a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a>) can be used to join/subtract data ranges and data selections (or mixtures), to retrieve a corresponding <a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a>.</p>
<p>QCustomPlot's data selection mechanism is based on <a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a> and <a class="el" href="class_q_c_p_data_range.html" title="Describes a data range given by begin and end index.">QCPDataRange</a>.</p>
<dl class="section note"><dt>Nota</dt><dd>Do not confuse <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> with <a class="el" href="class_q_c_p_range.html">QCPRange</a>. A <a class="el" href="class_q_c_p_range.html">QCPRange</a> describes an interval in floating point plot coordinates, e.g. the current axis range. </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00949">949</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a49e72fd9bace1da9d875136dcc04c986" name="a49e72fd9bace1da9d875136dcc04c986"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49e72fd9bace1da9d875136dcc04c986">&#9670;&#160;</a></span>QCPDataRange() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPDataRange::QCPDataRange </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Creates an empty <a class="el" href="class_q_c_p_data_range.html" title="Describes a data range given by begin and end index.">QCPDataRange</a>, with begin and end set to 0. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l02257">2257</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_range_a49e72fd9bace1da9d875136dcc04c986_icgraph.png" border="0" usemap="#aclass_q_c_p_data_range_a49e72fd9bace1da9d875136dcc04c986_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_range_a49e72fd9bace1da9d875136dcc04c986_icgraph" id="aclass_q_c_p_data_range_a49e72fd9bace1da9d875136dcc04c986_icgraph">
<area shape="rect" title=" " alt="" coords="947,87,1159,112"/>
<area shape="rect" href="class_q_c_p_data_range.html#a93529421d12fdd3a8bdb2b8061936352" title=" " alt="" coords="729,87,899,112"/>
<area shape="poly" title=" " alt="" coords="933,102,899,102,899,97,933,97"/>
<area shape="rect" href="class_q_c_p_error_bars.html#aac9ffa98815035d300b2e9a67495ba4c" title=" " alt="" coords="493,47,659,87"/>
<area shape="poly" title=" " alt="" coords="715,89,659,81,660,76,716,83"/>
<area shape="rect" href="class_q_c_p_data_container.html#aa1b36f5ae86a5a5a0b92141d3a0945c4" title=" " alt="" coords="471,111,681,151"/>
<area shape="poly" title=" " alt="" coords="716,115,682,120,681,114,715,110"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a801e85931372abf2a1034bfb2eac5cd2" title=" " alt="" coords="254,5,393,31"/>
<area shape="poly" title=" " alt="" coords="479,51,389,33,390,28,480,46"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a8e904076bad643f43af28b95f21c1b88" title=" " alt="" coords="229,55,418,80"/>
<area shape="poly" title=" " alt="" coords="479,70,418,70,418,65,479,65"/>
<area shape="rect" href="class_q_c_p_error_bars.html#ad7c727736599dfb173f0952082e1a5b6" title=" " alt="" coords="224,104,423,129"/>
<area shape="poly" title=" " alt="" coords="480,89,390,107,389,101,479,84"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a35d48d6b283898e725cc9f3fb38c2769" title=" " alt="" coords="5,55,176,80"/>
<area shape="poly" title=" " alt="" coords="215,70,176,70,176,65,215,65"/>
</map>
</div>

</div>
</div>
<a id="a6c7f4a3684210423270515403060e9cf" name="a6c7f4a3684210423270515403060e9cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c7f4a3684210423270515403060e9cf">&#9670;&#160;</a></span>QCPDataRange() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPDataRange::QCPDataRange </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>begin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>end</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Creates a <a class="el" href="class_q_c_p_data_range.html" title="Describes a data range given by begin and end index.">QCPDataRange</a>, initialized with the specified <em>begin</em> and <em>end</em>.</p>
<p>No checks or corrections are made to ensure the resulting range is valid (<a class="el" href="class_q_c_p_data_range.html#aae53a37472212dca0a7939963e20dba0">isValid</a>). </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l02268">2268</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a8bfd79a282f6ebd766d60caa683242d3" name="a8bfd79a282f6ebd766d60caa683242d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bfd79a282f6ebd766d60caa683242d3">&#9670;&#160;</a></span>operator==()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPDataRange::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00955">955</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a5bcc9597731a7455407853ed0585f6ab" name="a5bcc9597731a7455407853ed0585f6ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bcc9597731a7455407853ed0585f6ab">&#9670;&#160;</a></span>operator!=()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPDataRange::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00956">956</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ae76d7eba9defdfafcd0fc41096793129" name="ae76d7eba9defdfafcd0fc41096793129"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae76d7eba9defdfafcd0fc41096793129">&#9670;&#160;</a></span>begin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPDataRange::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00959">959</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_range_ae76d7eba9defdfafcd0fc41096793129_icgraph.png" border="0" usemap="#aclass_q_c_p_data_range_ae76d7eba9defdfafcd0fc41096793129_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_range_ae76d7eba9defdfafcd0fc41096793129_icgraph" id="aclass_q_c_p_data_range_ae76d7eba9defdfafcd0fc41096793129_icgraph">
<area shape="rect" title=" " alt="" coords="1472,407,1623,433"/>
<area shape="rect" href="class_q_c_p_selection_decorator_bracket.html#a9ebe2e729b5012c0a995d788f87fac22" title=" " alt="" coords="1216,5,1421,45"/>
<area shape="poly" title=" " alt="" coords="1542,394,1536,327,1517,237,1502,189,1481,142,1455,98,1422,59,1407,48,1410,43,1426,55,1459,95,1486,140,1507,187,1522,236,1541,326,1548,394"/>
<area shape="rect" href="class_q_c_p_graph.html#a27f29ed181e97f29d50384ab611773c1" title=" " alt="" coords="1232,69,1405,109"/>
<area shape="poly" title=" " alt="" coords="1540,394,1530,338,1509,265,1493,226,1474,189,1450,154,1422,123,1404,111,1407,106,1426,119,1454,151,1478,186,1498,224,1514,263,1535,337,1545,393"/>
<area shape="rect" href="class_q_c_p_graph.html#af73d5fe97cde966785bfd67201e44391" title=" " alt="" coords="1233,134,1405,159"/>
<area shape="poly" title=" " alt="" coords="1538,395,1524,349,1501,291,1467,231,1446,204,1422,181,1388,162,1391,157,1426,177,1450,201,1472,229,1506,289,1529,347,1543,393"/>
<area shape="rect" href="class_q_c_p_error_bars.html#aac9ffa98815035d300b2e9a67495ba4c" title=" " alt="" coords="749,159,915,199"/>
<area shape="poly" title=" " alt="" coords="1535,395,1520,357,1497,311,1464,267,1445,248,1423,232,1383,215,1329,202,1192,186,1043,180,916,180,916,174,1043,175,1192,181,1330,197,1385,210,1425,227,1448,244,1468,263,1501,309,1525,355,1540,393"/>
<area shape="rect" href="class_q_c_p_data_selection.html#ae8097f4e4ffee7b1b5df27c93eb365db" title=" " alt="" coords="489,375,667,401"/>
<area shape="poly" title=" " alt="" coords="1458,415,1222,398,936,384,832,382,728,384,667,386,667,381,728,379,832,377,936,379,1223,393,1458,410"/>
<area shape="rect" href="class_q_c_p_data_selection.html#a6f171526f5441482568ff5e22e6af2c6" title=" " alt="" coords="1223,428,1414,468"/>
<area shape="poly" title=" " alt="" coords="1459,434,1415,439,1414,434,1458,428"/>
<area shape="rect" href="class_q_c_p_data_selection.html#a8d18b20d20dde737eefc10967e31cf73" title=" " alt="" coords="734,1073,930,1098"/>
<area shape="poly" title=" " alt="" coords="1510,441,1425,482,1363,506,1313,520,1266,539,1242,555,1215,577,1184,608,1159,639,1123,702,1100,764,1083,826,1065,887,1040,947,1022,977,1000,1006,972,1035,938,1064,918,1075,915,1070,934,1059,968,1031,996,1003,1018,974,1035,945,1060,885,1078,824,1095,762,1118,699,1155,636,1180,604,1212,573,1239,550,1264,535,1311,515,1362,501,1423,478,1507,437"/>
<area shape="rect" href="class_q_c_p_data_container.html#aa1b36f5ae86a5a5a0b92141d3a0945c4" title=" " alt="" coords="1213,587,1424,627"/>
<area shape="poly" title=" " alt="" coords="1534,446,1490,507,1460,541,1426,570,1391,589,1388,584,1422,566,1456,537,1486,504,1529,443"/>
<area shape="rect" href="class_q_c_p_data_range.html#a486dd7af8a090ed069672e3510e6a082" title=" " alt="" coords="1227,651,1410,677"/>
<area shape="poly" title=" " alt="" coords="1542,447,1527,489,1503,542,1470,595,1449,620,1426,641,1403,654,1400,649,1422,636,1445,616,1466,592,1499,540,1522,487,1537,445"/>
<area shape="rect" href="class_q_custom_plot.html#a545c0e63e13a4fbac3d5acbd8a03ef6f" title=" " alt="" coords="1235,701,1403,726"/>
<area shape="poly" title=" " alt="" coords="1545,447,1533,499,1511,565,1476,633,1453,665,1426,691,1404,704,1402,700,1422,687,1449,661,1472,631,1506,563,1528,498,1539,446"/>
<area shape="rect" href="class_q_c_p_graph.html#a67c5ea573f604efd8bf121a0b7a380d1" title=" " alt="" coords="1007,87,1143,113"/>
<area shape="poly" title=" " alt="" coords="1218,96,1143,100,1143,94,1218,91"/>
<area shape="rect" href="class_q_c_p_graph.html#a2b0849598f06e834b43ce18cd13bcdc3" title=" " alt="" coords="773,87,891,113"/>
<area shape="poly" title=" " alt="" coords="993,103,892,103,892,97,993,97"/>
<area shape="poly" title=" " alt="" coords="1237,134,1141,115,1142,110,1238,129"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a801e85931372abf2a1034bfb2eac5cd2" title=" " alt="" coords="11,274,149,299"/>
<area shape="poly" title=" " alt="" coords="735,169,624,161,490,161,418,165,345,174,273,187,204,207,171,221,141,239,96,276,93,272,138,235,169,216,202,201,272,182,344,169,417,160,489,156,624,156,735,164"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a8e904076bad643f43af28b95f21c1b88" title=" " alt="" coords="483,217,673,242"/>
<area shape="poly" title=" " alt="" coords="736,201,643,219,642,214,735,195"/>
<area shape="rect" href="class_q_c_p_error_bars.html#ad7c727736599dfb173f0952082e1a5b6" title=" " alt="" coords="479,274,677,299"/>
<area shape="poly" title=" " alt="" coords="757,206,729,220,706,238,681,256,629,276,627,271,679,251,702,233,727,215,755,202"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a35d48d6b283898e725cc9f3fb38c2769" title=" " alt="" coords="230,217,401,242"/>
<area shape="poly" title=" " alt="" coords="470,232,401,232,401,227,470,227"/>
<area shape="rect" href="class_q_c_p_abstract_plottable1_d.html#ae890e62ce403c54f575c73b9529f1af8" title=" " alt="" coords="232,317,399,357"/>
<area shape="poly" title=" " alt="" coords="498,375,398,356,399,351,499,370"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a243e0bb2563fc2e9f08efd77e7175abf" title=" " alt="" coords="208,382,423,407"/>
<area shape="poly" title=" " alt="" coords="475,393,423,395,423,389,475,388"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#a984e21a4d3189d3fce60a3b883a86752" title=" " alt="" coords="203,454,428,479"/>
<area shape="poly" title=" " alt="" coords="522,407,359,457,358,451,520,402"/>
<area shape="poly" title=" " alt="" coords="226,381,202,372,140,337,94,301,98,297,143,332,204,367,228,376"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#a2a053fc53b7945cd2e3b93cef9cade9a" title=" " alt="" coords="5,454,155,479"/>
<area shape="poly" title=" " alt="" coords="189,469,155,469,155,464,189,464"/>
<area shape="rect" href="class_q_c_p_data_selection.html#a4a2fbad1a6e4d1dd26fdfdf88956f2a4" title=" " alt="" coords="984,557,1165,582"/>
<area shape="poly" title=" " alt="" coords="1266,477,1103,559,1100,554,1264,472"/>
<area shape="poly" title=" " alt="" coords="1065,544,1051,494,1025,432,1008,401,987,371,963,343,935,321,902,303,867,290,793,275,720,272,656,277,655,271,720,267,794,270,868,285,904,298,937,316,966,340,991,367,1012,398,1030,430,1056,493,1070,543"/>
<area shape="poly" title=" " alt="" coords="1057,546,1036,516,1009,482,974,448,935,422,868,398,798,385,729,380,668,381,668,376,730,375,799,380,870,393,937,418,978,444,1013,478,1041,513,1061,543"/>
<area shape="poly" title=" " alt="" coords="1061,545,1043,507,1015,462,979,418,958,399,935,384,892,367,834,355,765,346,689,341,532,336,399,337,399,332,532,331,689,335,765,341,835,350,894,362,937,379,961,395,983,414,1020,459,1047,504,1066,542"/>
<area shape="poly" title=" " alt="" coords="1038,552,990,528,935,507,832,481,689,455,405,410,406,405,690,449,833,476,937,501,992,523,1041,548"/>
<area shape="poly" title=" " alt="" coords="1011,556,936,540,799,519,663,502,428,478,429,473,663,496,800,514,936,535,1012,551"/>
<area shape="rect" href="class_q_c_p_data_selection.html#a46740c5aa7b80ae9b2abf6985d61b74f" title=" " alt="" coords="739,577,925,617"/>
<area shape="poly" title=" " alt="" coords="971,584,925,589,924,584,970,579"/>
<area shape="rect" href="class_q_c_p_data_selection.html#af5267ced53687561367105ee77b874ab" title=" " alt="" coords="476,527,680,553"/>
<area shape="poly" title=" " alt="" coords="970,566,680,549,680,543,971,561"/>
<area shape="rect" href="class_q_c_p_data_selection.html#af296ec5a948656c1d1ecb7b2970d2a24" title=" " alt="" coords="213,725,417,750"/>
<area shape="poly" title=" " alt="" coords="1000,591,986,603,972,623,963,643,957,683,960,723,969,762,977,802,978,841,967,878,955,896,937,914,913,919,861,921,709,922,555,918,475,911,447,895,421,876,376,831,343,786,322,752,326,749,347,783,381,827,424,872,450,891,477,905,556,912,709,917,860,916,912,914,935,910,951,893,962,876,973,840,972,802,964,764,955,723,951,682,958,641,968,620,982,600,997,587"/>
<area shape="rect" href="class_q_c_p_abstract_plottable1_d.html#a2f169c3c2989e5d08ec7a9e3eb56a261" title=" " alt="" coords="495,627,661,667"/>
<area shape="poly" title=" " alt="" coords="1021,589,985,604,962,619,937,632,865,648,792,656,723,658,661,656,662,651,723,652,792,650,865,642,935,627,959,614,983,599,1019,584"/>
<area shape="rect" href="class_q_c_p_abstract_plottable1_d.html#a22377bf6e57ab7eedbc9e489250c6ded" title=" " alt="" coords="495,691,661,731"/>
<area shape="poly" title=" " alt="" coords="1011,589,986,603,971,618,963,633,954,648,937,662,904,679,869,691,796,709,725,716,662,718,661,713,724,711,795,703,867,686,902,674,935,658,950,645,958,630,967,615,982,599,1009,585"/>
<area shape="rect" href="class_q_c_p_bars.html#ab03bb6125c3e983b89d694f75ce6b3d5" title=" " alt="" coords="493,755,663,781"/>
<area shape="poly" title=" " alt="" coords="1005,590,986,603,974,617,968,632,964,661,959,691,951,706,938,719,907,740,873,755,801,775,729,782,664,781,664,775,728,776,800,769,871,750,904,735,934,715,947,703,954,689,959,661,963,630,970,615,982,599,1002,586"/>
<area shape="rect" href="class_q_c_p_statistical_box.html#a42febad6ad5e924a151434cc434b4ffc" title=" " alt="" coords="510,805,646,845"/>
<area shape="poly" title=" " alt="" coords="1002,590,986,603,971,626,964,649,965,695,967,718,965,742,956,764,938,786,905,809,869,826,831,837,791,844,714,847,646,841,647,835,714,841,791,838,829,832,867,821,903,804,934,782,952,762,960,740,961,718,960,695,959,648,966,624,982,600,999,586"/>
<area shape="rect" href="class_q_c_p_financial.html#a3c5beb1ab028a1dba845fc9dcffc7cf4" title=" " alt="" coords="480,870,676,895"/>
<area shape="poly" title=" " alt="" coords="1001,590,986,603,967,634,960,666,961,697,966,729,971,760,971,791,961,822,938,851,904,876,865,893,824,904,782,909,701,908,632,898,633,893,701,902,782,904,823,898,863,888,901,871,934,847,957,819,966,790,966,760,961,729,956,698,955,665,962,632,982,600,997,586"/>
<area shape="rect" href="class_q_c_p_data_selection.html#a17b84d852911531d229f4a76aa239a75" title=" " alt="" coords="728,974,936,999"/>
<area shape="poly" title=" " alt="" coords="1000,591,986,603,971,625,960,647,951,691,954,734,963,776,972,820,974,863,965,908,954,931,938,954,923,967,906,976,904,972,920,963,934,950,950,928,960,906,969,863,966,820,958,778,949,734,946,690,955,646,966,623,982,600,996,587"/>
<area shape="rect" href="class_q_c_p_data_selection.html#a4584d4b0ea5c4f095bd7b70f88eb5d9d" title=" " alt="" coords="732,1023,932,1049"/>
<area shape="poly" title=" " alt="" coords="999,591,986,603,968,629,957,656,950,681,948,707,953,758,966,809,977,859,982,910,979,936,971,962,958,988,938,1014,924,1025,921,1021,934,1010,953,985,966,960,973,935,976,910,972,860,960,810,948,759,943,707,945,680,952,654,964,627,982,600,996,587"/>
<area shape="poly" title=" " alt="" coords="999,591,986,603,966,633,954,662,947,691,945,720,952,777,966,833,980,890,986,947,983,976,974,1005,960,1034,938,1063,924,1075,921,1070,934,1059,955,1031,969,1003,977,975,980,947,975,891,961,835,946,778,939,720,941,690,949,660,962,630,982,600,996,587"/>
<area shape="poly" title=" " alt="" coords="812,566,758,471,720,416,678,365,638,329,599,302,602,297,641,324,682,361,725,413,762,468,817,563"/>
<area shape="poly" title=" " alt="" coords="795,571,593,403,597,399,798,567"/>
<area shape="poly" title=" " alt="" coords="729,577,634,555,636,550,730,572"/>
<area shape="rect" href="class_q_c_p_data_selection.html#a17058640d4e6f49984a0e7e42043df1b" title=" " alt="" coords="478,577,678,602"/>
<area shape="poly" title=" " alt="" coords="726,597,678,595,678,590,726,591"/>
<area shape="poly" title=" " alt="" coords="726,621,662,633,661,628,725,615"/>
<area shape="poly" title=" " alt="" coords="787,627,737,654,681,681,650,693,648,688,679,676,735,650,785,622"/>
<area shape="poly" title=" " alt="" coords="809,630,755,689,720,719,681,745,651,758,649,753,679,740,717,715,751,685,805,626"/>
<area shape="poly" title=" " alt="" coords="816,631,794,669,763,713,726,757,681,796,648,813,645,808,679,791,722,754,759,710,790,666,812,628"/>
<area shape="poly" title=" " alt="" coords="823,631,805,682,775,744,735,806,710,835,682,860,658,872,656,868,678,855,706,831,730,803,771,741,800,680,818,630"/>
<area shape="poly" title=" " alt="" coords="490,560,477,566,426,604,383,650,349,693,327,726,322,723,345,690,379,646,423,600,475,562,487,555"/>
<area shape="rect" href="class_q_c_p_abstract_plottable.html#ac238d6e910f976f1f30d41c2bca44ac3" title=" " alt="" coords="503,971,653,1011"/>
<area shape="poly" title=" " alt="" coords="714,991,654,992,654,987,714,986"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#ab69bb9f6074ba180e74e535fd6494f96" title=" " alt="" coords="478,1035,678,1061"/>
<area shape="poly" title=" " alt="" coords="766,1005,632,1038,631,1033,765,1000"/>
<area shape="rect" href="class_q_c_p_abstract_plottable.html#a219bc5403a9d85d3129165ec3f5ae436" title=" " alt="" coords="503,1085,653,1125"/>
<area shape="poly" title=" " alt="" coords="743,1007,730,1014,714,1028,706,1044,698,1060,682,1075,655,1090,653,1085,678,1071,693,1056,701,1041,710,1025,726,1010,740,1002"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#ab5cc3f205eeb153dd3a28c11b996ccb2" title=" " alt="" coords="481,1150,675,1175"/>
<area shape="poly" title=" " alt="" coords="737,1008,730,1014,717,1029,710,1043,707,1075,703,1107,695,1124,682,1139,662,1152,659,1148,678,1135,691,1121,697,1106,701,1074,705,1042,713,1026,726,1010,734,1004"/>
<area shape="rect" href="class_q_c_p_abstract_plottable.html#a9b104d9da4f38f934363945c313bf82e" title=" " alt="" coords="240,1021,391,1061"/>
<area shape="poly" title=" " alt="" coords="489,1086,390,1062,392,1057,490,1081"/>
<area shape="rect" href="class_q_c_p_abstract_plottable.html#a2d488568cf16600dd81fa23d7d439829" title=" " alt="" coords="240,1085,391,1125"/>
<area shape="poly" title=" " alt="" coords="489,1108,391,1108,391,1103,489,1103"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#a3372c079d5859f513d18384890945072" title=" " alt="" coords="214,1150,417,1175"/>
<area shape="poly" title=" " alt="" coords="468,1165,417,1165,417,1160,468,1160"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#a1bc6a4af76e45ce13cd4f544062ff8b3" title=" " alt="" coords="221,1199,410,1225"/>
<area shape="poly" title=" " alt="" coords="497,1181,384,1202,383,1197,496,1175"/>
</map>
</div>

</div>
</div>
<a id="aee1b20fb045929c3753ee2ce14af7630" name="aee1b20fb045929c3753ee2ce14af7630"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee1b20fb045929c3753ee2ce14af7630">&#9670;&#160;</a></span>end()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPDataRange::end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00960">960</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_range_aee1b20fb045929c3753ee2ce14af7630_icgraph.png" border="0" usemap="#aclass_q_c_p_data_range_aee1b20fb045929c3753ee2ce14af7630_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_range_aee1b20fb045929c3753ee2ce14af7630_icgraph" id="aclass_q_c_p_data_range_aee1b20fb045929c3753ee2ce14af7630_icgraph">
<area shape="rect" title=" " alt="" coords="756,213,897,238"/>
<area shape="rect" href="class_q_c_p_selection_decorator_bracket.html#a9ebe2e729b5012c0a995d788f87fac22" title=" " alt="" coords="500,5,705,45"/>
<area shape="poly" title=" " alt="" coords="812,202,772,131,742,92,706,59,686,48,689,43,710,55,746,89,776,128,817,199"/>
<area shape="rect" href="class_q_c_p_graph.html#a27f29ed181e97f29d50384ab611773c1" title=" " alt="" coords="516,69,689,109"/>
<area shape="poly" title=" " alt="" coords="803,204,761,163,707,124,681,112,683,107,709,119,764,159,807,200"/>
<area shape="rect" href="class_q_c_p_graph.html#af73d5fe97cde966785bfd67201e44391" title=" " alt="" coords="517,134,689,159"/>
<area shape="poly" title=" " alt="" coords="788,209,707,173,668,162,670,157,709,168,790,204"/>
<area shape="rect" href="class_q_c_p_error_bars.html#aac9ffa98815035d300b2e9a67495ba4c" title=" " alt="" coords="519,233,686,273"/>
<area shape="poly" title=" " alt="" coords="743,238,687,246,686,240,742,233"/>
<area shape="rect" href="class_q_c_p_data_selection.html#ae8097f4e4ffee7b1b5df27c93eb365db" title=" " alt="" coords="513,183,692,209"/>
<area shape="poly" title=" " alt="" coords="742,217,692,210,693,205,743,212"/>
<area shape="rect" href="class_q_c_p_data_container.html#aa1b36f5ae86a5a5a0b92141d3a0945c4" title=" " alt="" coords="497,297,708,337"/>
<area shape="poly" title=" " alt="" coords="793,247,709,288,676,300,674,295,707,283,790,242"/>
<area shape="rect" href="class_q_c_p_data_selection.html#a8d18b20d20dde737eefc10967e31cf73" title=" " alt="" coords="505,362,701,387"/>
<area shape="poly" title=" " alt="" coords="811,251,769,302,741,329,709,352,680,364,678,359,707,347,738,325,765,299,807,248"/>
<area shape="rect" href="class_q_c_p_data_range.html#a486dd7af8a090ed069672e3510e6a082" title=" " alt="" coords="511,411,694,437"/>
<area shape="poly" title=" " alt="" coords="818,252,802,286,778,327,748,368,710,402,688,414,685,409,706,398,744,364,774,324,797,284,813,250"/>
<area shape="rect" href="class_q_c_p_graph.html#a67c5ea573f604efd8bf121a0b7a380d1" title=" " alt="" coords="269,51,405,77"/>
<area shape="poly" title=" " alt="" coords="502,82,404,73,405,68,503,77"/>
<area shape="rect" href="class_q_c_p_graph.html#a2b0849598f06e834b43ce18cd13bcdc3" title=" " alt="" coords="31,51,150,77"/>
<area shape="poly" title=" " alt="" coords="254,67,150,67,150,61,254,61"/>
<area shape="poly" title=" " alt="" coords="519,133,496,124,472,107,448,90,404,76,405,71,451,86,475,102,499,119,521,128"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a801e85931372abf2a1034bfb2eac5cd2" title=" " alt="" coords="21,207,160,233"/>
<area shape="poly" title=" " alt="" coords="506,262,372,264,297,261,224,255,176,246,133,235,134,230,178,241,224,249,298,256,372,258,506,256"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a8e904076bad643f43af28b95f21c1b88" title=" " alt="" coords="242,365,431,390"/>
<area shape="poly" title=" " alt="" coords="508,282,499,287,484,304,476,321,468,339,451,355,428,367,426,362,448,351,463,336,471,319,479,301,496,283,505,277"/>
<area shape="rect" href="class_q_c_p_error_bars.html#ad7c727736599dfb173f0952082e1a5b6" title=" " alt="" coords="237,315,436,341"/>
<area shape="poly" title=" " alt="" coords="519,280,383,318,382,313,517,274"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a35d48d6b283898e725cc9f3fb38c2769" title=" " alt="" coords="5,365,176,390"/>
<area shape="poly" title=" " alt="" coords="228,380,176,380,176,375,228,375"/>
<area shape="rect" href="class_q_c_p_abstract_plottable1_d.html#ae890e62ce403c54f575c73b9529f1af8" title=" " alt="" coords="253,200,420,240"/>
<area shape="poly" title=" " alt="" coords="500,208,420,215,420,210,499,203"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a243e0bb2563fc2e9f08efd77e7175abf" title=" " alt="" coords="229,150,444,175"/>
<area shape="poly" title=" " alt="" coords="499,186,438,178,439,173,500,180"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#a984e21a4d3189d3fce60a3b883a86752" title=" " alt="" coords="224,101,449,126"/>
<area shape="poly" title=" " alt="" coords="519,182,496,173,472,156,448,140,416,129,417,124,451,135,475,152,499,168,521,177"/>
<area shape="poly" title=" " alt="" coords="266,181,225,191,145,210,143,205,223,185,265,176"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#a2a053fc53b7945cd2e3b93cef9cade9a" title=" " alt="" coords="16,101,165,126"/>
<area shape="poly" title=" " alt="" coords="210,116,165,116,165,111,210,111"/>
</map>
</div>

</div>
</div>
<a id="ac6af055e509d1b691c244954ff1c5887" name="ac6af055e509d1b691c244954ff1c5887"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6af055e509d1b691c244954ff1c5887">&#9670;&#160;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPDataRange::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the number of data points described by this data range. This is equal to the end index minus the begin index.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_range.html#a1e7836058f755c6ab9f11996477b7150">length</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00961">961</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_range_ac6af055e509d1b691c244954ff1c5887_icgraph.png" border="0" usemap="#aclass_q_c_p_data_range_ac6af055e509d1b691c244954ff1c5887_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_range_ac6af055e509d1b691c244954ff1c5887_icgraph" id="aclass_q_c_p_data_range_ac6af055e509d1b691c244954ff1c5887_icgraph">
<area shape="rect" title=" " alt="" coords="577,42,720,67"/>
<area shape="rect" href="class_q_c_p_graph.html#a27f29ed181e97f29d50384ab611773c1" title=" " alt="" coords="356,5,529,45"/>
<area shape="poly" title=" " alt="" coords="563,45,529,40,530,35,564,40"/>
<area shape="rect" href="class_q_c_p_graph.html#af73d5fe97cde966785bfd67201e44391" title=" " alt="" coords="357,70,529,95"/>
<area shape="poly" title=" " alt="" coords="564,69,529,74,528,68,563,64"/>
<area shape="rect" href="class_q_c_p_graph.html#a67c5ea573f604efd8bf121a0b7a380d1" title=" " alt="" coords="172,42,308,67"/>
<area shape="poly" title=" " alt="" coords="343,42,309,47,308,42,342,37"/>
<area shape="rect" href="class_q_c_p_graph.html#a2b0849598f06e834b43ce18cd13bcdc3" title=" " alt="" coords="5,42,124,67"/>
<area shape="poly" title=" " alt="" coords="158,57,124,57,124,52,158,52"/>
<area shape="poly" title=" " alt="" coords="343,72,308,67,308,61,344,66"/>
</map>
</div>

</div>
</div>
<a id="a1e7836058f755c6ab9f11996477b7150" name="a1e7836058f755c6ab9f11996477b7150"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e7836058f755c6ab9f11996477b7150">&#9670;&#160;</a></span>length()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPDataRange::length </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the number of data points described by this data range. Equivalent to <a class="el" href="class_q_c_p_data_range.html#ac6af055e509d1b691c244954ff1c5887">size</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00962">962</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_range_a1e7836058f755c6ab9f11996477b7150_icgraph.png" border="0" usemap="#aclass_q_c_p_data_range_a1e7836058f755c6ab9f11996477b7150_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_range_a1e7836058f755c6ab9f11996477b7150_icgraph" id="aclass_q_c_p_data_range_a1e7836058f755c6ab9f11996477b7150_icgraph">
<area shape="rect" title=" " alt="" coords="725,35,880,60"/>
<area shape="rect" href="class_q_c_p_data_selection.html#ac9e74dd294778aa799216c3435c9c4f0" title=" " alt="" coords="485,27,677,67"/>
<area shape="poly" title=" " alt="" coords="711,50,678,50,678,45,711,45"/>
<area shape="rect" href="class_q_custom_plot.html#ac10849411e1d0e858ea7f29c8ade364c" title=" " alt="" coords="259,27,437,67"/>
<area shape="poly" title=" " alt="" coords="471,50,438,50,438,45,471,45"/>
<area shape="rect" href="class_q_custom_plot.html#a0c09f96df15faa4799ad7051bb16cf33" title=" " alt="" coords="5,5,211,31"/>
<area shape="poly" title=" " alt="" coords="245,37,211,33,211,28,246,32"/>
<area shape="rect" href="class_q_custom_plot.html#a810ef958ebe84db661c7288b526c0deb" title=" " alt="" coords="19,55,197,95"/>
<area shape="poly" title=" " alt="" coords="245,62,198,68,197,62,245,57"/>
</map>
</div>

</div>
</div>
<a id="a54ff59048e01e46ac4aefafc844626c6" name="a54ff59048e01e46ac4aefafc844626c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54ff59048e01e46ac4aefafc844626c6">&#9670;&#160;</a></span>setBegin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPDataRange::setBegin </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>begin</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the begin of this data range. The <em>begin</em> index points to the first data point that is part of the data range.</p>
<p>No checks or corrections are made to ensure the resulting range is valid (<a class="el" href="class_q_c_p_data_range.html#aae53a37472212dca0a7939963e20dba0">isValid</a>).</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_range.html#a277f1a9eafe70b9184d9c00b641ae5de">setEnd</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00965">965</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_range_a54ff59048e01e46ac4aefafc844626c6_icgraph.png" border="0" usemap="#aclass_q_c_p_data_range_a54ff59048e01e46ac4aefafc844626c6_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_range_a54ff59048e01e46ac4aefafc844626c6_icgraph" id="aclass_q_c_p_data_range_a54ff59048e01e46ac4aefafc844626c6_icgraph">
<area shape="rect" title=" " alt="" coords="620,5,791,31"/>
<area shape="rect" href="class_q_c_p_graph.html#a0e0886b9ec7731d8993bbb104465f3b9" title=" " alt="" coords="356,5,572,31"/>
<area shape="poly" title=" " alt="" coords="606,21,572,21,572,15,606,15"/>
<area shape="rect" href="class_q_c_p_graph.html#a67c5ea573f604efd8bf121a0b7a380d1" title=" " alt="" coords="172,5,308,31"/>
<area shape="poly" title=" " alt="" coords="342,21,309,21,309,15,342,15"/>
<area shape="rect" href="class_q_c_p_graph.html#a2b0849598f06e834b43ce18cd13bcdc3" title=" " alt="" coords="5,5,124,31"/>
<area shape="poly" title=" " alt="" coords="158,21,124,21,124,15,158,15"/>
</map>
</div>

</div>
</div>
<a id="a277f1a9eafe70b9184d9c00b641ae5de" name="a277f1a9eafe70b9184d9c00b641ae5de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a277f1a9eafe70b9184d9c00b641ae5de">&#9670;&#160;</a></span>setEnd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPDataRange::setEnd </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>end</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the end of this data range. The <em>end</em> index points to the data point just after the last data point that is part of the data range.</p>
<p>No checks or corrections are made to ensure the resulting range is valid (<a class="el" href="class_q_c_p_data_range.html#aae53a37472212dca0a7939963e20dba0">isValid</a>).</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_range.html#a54ff59048e01e46ac4aefafc844626c6">setBegin</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00966">966</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_range_a277f1a9eafe70b9184d9c00b641ae5de_icgraph.png" border="0" usemap="#aclass_q_c_p_data_range_a277f1a9eafe70b9184d9c00b641ae5de_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_range_a277f1a9eafe70b9184d9c00b641ae5de_icgraph" id="aclass_q_c_p_data_range_a277f1a9eafe70b9184d9c00b641ae5de_icgraph">
<area shape="rect" title=" " alt="" coords="620,5,780,31"/>
<area shape="rect" href="class_q_c_p_graph.html#a0e0886b9ec7731d8993bbb104465f3b9" title=" " alt="" coords="356,5,572,31"/>
<area shape="poly" title=" " alt="" coords="606,21,572,21,572,15,606,15"/>
<area shape="rect" href="class_q_c_p_graph.html#a67c5ea573f604efd8bf121a0b7a380d1" title=" " alt="" coords="172,5,308,31"/>
<area shape="poly" title=" " alt="" coords="342,21,309,21,309,15,342,15"/>
<area shape="rect" href="class_q_c_p_graph.html#a2b0849598f06e834b43ce18cd13bcdc3" title=" " alt="" coords="5,5,124,31"/>
<area shape="poly" title=" " alt="" coords="158,21,124,21,124,15,158,15"/>
</map>
</div>

</div>
</div>
<a id="aae53a37472212dca0a7939963e20dba0" name="aae53a37472212dca0a7939963e20dba0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae53a37472212dca0a7939963e20dba0">&#9670;&#160;</a></span>isValid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPDataRange::isValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns whether this range is valid. A valid range has a begin index greater or equal to 0, and an end index greater or equal to the begin index.</p>
<dl class="section note"><dt>Nota</dt><dd>Invalid ranges should be avoided and are never the result of any of <a class="el" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ...">QCustomPlot</a>'s methods (unless they are themselves fed with invalid ranges). Do not pass invalid ranges to <a class="el" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ...">QCustomPlot</a>'s methods. The invalid range is not inherently prevented in <a class="el" href="class_q_c_p_data_range.html" title="Describes a data range given by begin and end index.">QCPDataRange</a>, to allow temporary invalid begin/end values while manipulating the range. An invalid range is not necessarily empty (<a class="el" href="class_q_c_p_data_range.html#ac32e53fc05d6cd2eac96b96a7265d3b8">isEmpty</a>), since its <a class="el" href="class_q_c_p_data_range.html#a1e7836058f755c6ab9f11996477b7150">length</a> can be negative and thus non-zero. </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00969">969</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_range_aae53a37472212dca0a7939963e20dba0_icgraph.png" border="0" usemap="#aclass_q_c_p_data_range_aae53a37472212dca0a7939963e20dba0_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_range_aae53a37472212dca0a7939963e20dba0_icgraph" id="aclass_q_c_p_data_range_aae53a37472212dca0a7939963e20dba0_icgraph">
<area shape="rect" title=" " alt="" coords="1216,148,1375,173"/>
<area shape="rect" href="class_q_c_p_data_range.html#a84e1e03129dd52528efb4bac18d30183" title=" " alt="" coords="981,148,1168,173"/>
<area shape="poly" title=" " alt="" coords="1202,163,1168,163,1168,158,1202,158"/>
<area shape="rect" href="class_q_c_p_data_range.html#a93529421d12fdd3a8bdb2b8061936352" title=" " alt="" coords="747,119,916,144"/>
<area shape="poly" title=" " alt="" coords="967,150,916,144,917,139,968,145"/>
<area shape="rect" href="class_q_c_p_data_selection.html#af5267ced53687561367105ee77b874ab" title=" " alt="" coords="729,172,933,197"/>
<area shape="poly" title=" " alt="" coords="968,174,934,177,933,172,968,169"/>
<area shape="rect" href="class_q_c_p_error_bars.html#aac9ffa98815035d300b2e9a67495ba4c" title=" " alt="" coords="493,47,659,87"/>
<area shape="poly" title=" " alt="" coords="766,118,656,90,657,85,767,113"/>
<area shape="rect" href="class_q_c_p_data_container.html#aa1b36f5ae86a5a5a0b92141d3a0945c4" title=" " alt="" coords="471,111,681,151"/>
<area shape="poly" title=" " alt="" coords="733,134,681,134,681,129,733,129"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a801e85931372abf2a1034bfb2eac5cd2" title=" " alt="" coords="254,5,393,31"/>
<area shape="poly" title=" " alt="" coords="479,51,389,33,390,28,480,46"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a8e904076bad643f43af28b95f21c1b88" title=" " alt="" coords="229,55,418,80"/>
<area shape="poly" title=" " alt="" coords="479,70,418,70,418,65,479,65"/>
<area shape="rect" href="class_q_c_p_error_bars.html#ad7c727736599dfb173f0952082e1a5b6" title=" " alt="" coords="224,104,423,129"/>
<area shape="poly" title=" " alt="" coords="480,89,390,107,389,101,479,84"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a35d48d6b283898e725cc9f3fb38c2769" title=" " alt="" coords="5,55,176,80"/>
<area shape="poly" title=" " alt="" coords="215,70,176,70,176,65,215,65"/>
<area shape="rect" href="class_q_c_p_data_selection.html#af296ec5a948656c1d1ecb7b2970d2a24" title=" " alt="" coords="474,176,678,201"/>
<area shape="poly" title=" " alt="" coords="716,189,678,190,678,184,716,184"/>
</map>
</div>

</div>
</div>
<a id="ac32e53fc05d6cd2eac96b96a7265d3b8" name="ac32e53fc05d6cd2eac96b96a7265d3b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac32e53fc05d6cd2eac96b96a7265d3b8">&#9670;&#160;</a></span>isEmpty()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPDataRange::isEmpty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns whether this range is empty, i.e. whether its begin index equals its end index.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_range.html#ac6af055e509d1b691c244954ff1c5887">size</a>, <a class="el" href="class_q_c_p_data_range.html#a1e7836058f755c6ab9f11996477b7150">length</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00970">970</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_range_ac32e53fc05d6cd2eac96b96a7265d3b8_icgraph.png" border="0" usemap="#aclass_q_c_p_data_range_ac32e53fc05d6cd2eac96b96a7265d3b8_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_range_ac32e53fc05d6cd2eac96b96a7265d3b8_icgraph" id="aclass_q_c_p_data_range_ac32e53fc05d6cd2eac96b96a7265d3b8_icgraph">
<area shape="rect" title=" " alt="" coords="987,193,1153,219"/>
<area shape="rect" href="class_q_c_p_data_range.html#a93529421d12fdd3a8bdb2b8061936352" title=" " alt="" coords="756,119,925,144"/>
<area shape="poly" title=" " alt="" coords="1016,191,880,147,881,141,1018,186"/>
<area shape="rect" href="class_q_c_p_error_bars.html#aac9ffa98815035d300b2e9a67495ba4c" title=" " alt="" coords="506,47,673,87"/>
<area shape="poly" title=" " alt="" coords="1045,185,998,144,969,124,938,108,870,87,800,75,733,69,673,67,673,62,733,63,801,69,872,82,940,104,972,120,1002,140,1049,181"/>
<area shape="rect" href="class_q_c_p_graph.html#a8599447a7f8cbbdcf0b94edcc11df560" title=" " alt="" coords="753,186,928,226"/>
<area shape="poly" title=" " alt="" coords="973,209,928,209,928,203,973,203"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#a6b2a1108806a35ce537ce11c89478877" title=" " alt="" coords="751,259,930,299"/>
<area shape="poly" title=" " alt="" coords="1017,225,905,262,903,257,1016,220"/>
<area shape="rect" href="class_q_c_p_data_selection.html#a8d18b20d20dde737eefc10967e31cf73" title=" " alt="" coords="743,324,939,349"/>
<area shape="poly" title=" " alt="" coords="1049,231,1001,273,972,295,940,314,907,326,905,321,937,309,969,291,998,269,1045,227"/>
<area shape="poly" title=" " alt="" coords="776,118,668,90,669,85,777,113"/>
<area shape="rect" href="class_q_c_p_data_container.html#aa1b36f5ae86a5a5a0b92141d3a0945c4" title=" " alt="" coords="484,111,695,151"/>
<area shape="poly" title=" " alt="" coords="742,134,695,134,695,129,742,129"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a801e85931372abf2a1034bfb2eac5cd2" title=" " alt="" coords="267,5,405,31"/>
<area shape="poly" title=" " alt="" coords="492,51,401,33,402,28,493,46"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a8e904076bad643f43af28b95f21c1b88" title=" " alt="" coords="241,55,431,80"/>
<area shape="poly" title=" " alt="" coords="492,70,431,70,431,65,492,65"/>
<area shape="rect" href="class_q_c_p_error_bars.html#ad7c727736599dfb173f0952082e1a5b6" title=" " alt="" coords="237,104,435,129"/>
<area shape="poly" title=" " alt="" coords="493,89,402,107,401,101,492,83"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a35d48d6b283898e725cc9f3fb38c2769" title=" " alt="" coords="11,55,182,80"/>
<area shape="poly" title=" " alt="" coords="228,70,182,70,182,65,228,65"/>
<area shape="rect" href="class_q_c_p_graph.html#a563c6da2126300a4d9d2bdee30dad040" title=" " alt="" coords="519,225,660,251"/>
<area shape="poly" title=" " alt="" coords="740,221,661,232,660,226,739,216"/>
<area shape="rect" href="class_q_c_p_graph.html#a9d7ba5904fdcaca413222335d4b283c3" title=" " alt="" coords="510,176,669,201"/>
<area shape="poly" title=" " alt="" coords="739,202,669,197,669,191,740,196"/>
<area shape="rect" href="class_q_c_p_graph.html#a2b0849598f06e834b43ce18cd13bcdc3" title=" " alt="" coords="277,176,395,201"/>
<area shape="poly" title=" " alt="" coords="510,225,395,203,396,198,511,220"/>
<area shape="rect" href="class_q_c_p_graph.html#a89acf99c0b52b8eecb2438adf7ec0170" title=" " alt="" coords="251,225,421,251"/>
<area shape="poly" title=" " alt="" coords="505,241,421,241,421,235,505,235"/>
<area shape="rect" href="class_q_c_p_graph.html#af524307eacb919827b88233ef7449ce3" title=" " alt="" coords="21,225,173,251"/>
<area shape="poly" title=" " alt="" coords="237,241,173,241,173,235,237,235"/>
<area shape="poly" title=" " alt="" coords="496,191,396,191,396,186,496,186"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#ae3ef86f65cf446fc46a012d3821fc7f7" title=" " alt="" coords="504,324,675,349"/>
<area shape="poly" title=" " alt="" coords="740,305,646,327,645,321,739,300"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#ad6330a4bcd3c3263047ac05eaca3711f" title=" " alt="" coords="495,275,683,300"/>
<area shape="poly" title=" " alt="" coords="738,285,684,287,684,282,738,280"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#a2a053fc53b7945cd2e3b93cef9cade9a" title=" " alt="" coords="261,275,411,300"/>
<area shape="poly" title=" " alt="" coords="509,324,402,303,403,297,510,319"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#a0b917f9396ede27e5b4f41a974b129d3" title=" " alt="" coords="236,324,436,349"/>
<area shape="poly" title=" " alt="" coords="490,339,436,339,436,334,490,334"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#a4033ca80db907352e4188162f861d69a" title=" " alt="" coords="5,324,188,349"/>
<area shape="poly" title=" " alt="" coords="222,339,188,339,188,334,222,334"/>
<area shape="poly" title=" " alt="" coords="481,290,411,290,411,285,481,285"/>
</map>
</div>

</div>
</div>
<a id="a93529421d12fdd3a8bdb2b8061936352" name="a93529421d12fdd3a8bdb2b8061936352"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93529421d12fdd3a8bdb2b8061936352">&#9670;&#160;</a></span>bounded()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> QCPDataRange::bounded </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns a data range that matches this data range, except that parts exceeding <em>other</em> are excluded.</p>
<p>This method is very similar to <a class="el" href="class_q_c_p_data_range.html#a84e1e03129dd52528efb4bac18d30183">intersection</a>, with one distinction: If this range and the <em>other</em> range share no intersection, the returned data range will be empty with begin and end set to the respective boundary side of <em>other</em>, at which this range is residing. (<a class="el" href="class_q_c_p_data_range.html#a84e1e03129dd52528efb4bac18d30183">intersection</a> would just return a range with begin and end set to 0.) </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l02283">2283</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_range_a93529421d12fdd3a8bdb2b8061936352_cgraph.png" border="0" usemap="#aclass_q_c_p_data_range_a93529421d12fdd3a8bdb2b8061936352_cgraph" alt=""/></div>
<map name="aclass_q_c_p_data_range_a93529421d12fdd3a8bdb2b8061936352_cgraph" id="aclass_q_c_p_data_range_a93529421d12fdd3a8bdb2b8061936352_cgraph">
<area shape="rect" title=" " alt="" coords="5,55,175,80"/>
<area shape="rect" href="class_q_c_p_data_range.html#a84e1e03129dd52528efb4bac18d30183" title=" " alt="" coords="235,5,422,31"/>
<area shape="poly" title=" " alt="" coords="152,52,253,31,254,36,153,57"/>
<area shape="rect" href="class_q_c_p_data_range.html#ac32e53fc05d6cd2eac96b96a7265d3b8" title=" " alt="" coords="245,55,412,80"/>
<area shape="poly" title=" " alt="" coords="175,65,232,65,232,70,175,70"/>
<area shape="rect" href="class_q_c_p_data_range.html#a49e72fd9bace1da9d875136dcc04c986" title=" " alt="" coords="223,104,435,129"/>
<area shape="poly" title=" " alt="" coords="153,77,254,99,253,104,152,83"/>
<area shape="rect" href="class_q_c_p_data_range.html#aae53a37472212dca0a7939963e20dba0" title=" " alt="" coords="483,5,641,31"/>
<area shape="poly" title=" " alt="" coords="422,15,469,15,469,21,422,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_range_a93529421d12fdd3a8bdb2b8061936352_icgraph.png" border="0" usemap="#aclass_q_c_p_data_range_a93529421d12fdd3a8bdb2b8061936352_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_range_a93529421d12fdd3a8bdb2b8061936352_icgraph" id="aclass_q_c_p_data_range_a93529421d12fdd3a8bdb2b8061936352_icgraph">
<area shape="rect" title=" " alt="" coords="729,87,899,112"/>
<area shape="rect" href="class_q_c_p_error_bars.html#aac9ffa98815035d300b2e9a67495ba4c" title=" " alt="" coords="493,47,659,87"/>
<area shape="poly" title=" " alt="" coords="715,89,659,81,660,76,716,83"/>
<area shape="rect" href="class_q_c_p_data_container.html#aa1b36f5ae86a5a5a0b92141d3a0945c4" title=" " alt="" coords="471,111,681,151"/>
<area shape="poly" title=" " alt="" coords="716,115,682,120,681,114,715,110"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a801e85931372abf2a1034bfb2eac5cd2" title=" " alt="" coords="254,5,393,31"/>
<area shape="poly" title=" " alt="" coords="479,51,389,33,390,28,480,46"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a8e904076bad643f43af28b95f21c1b88" title=" " alt="" coords="229,55,418,80"/>
<area shape="poly" title=" " alt="" coords="479,70,418,70,418,65,479,65"/>
<area shape="rect" href="class_q_c_p_error_bars.html#ad7c727736599dfb173f0952082e1a5b6" title=" " alt="" coords="224,104,423,129"/>
<area shape="poly" title=" " alt="" coords="480,89,390,107,389,101,479,84"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a35d48d6b283898e725cc9f3fb38c2769" title=" " alt="" coords="5,55,176,80"/>
<area shape="poly" title=" " alt="" coords="215,70,176,70,176,65,215,65"/>
</map>
</div>

</div>
</div>
<a id="a36c8ad8acf177ffeb0a72c8d73030844" name="a36c8ad8acf177ffeb0a72c8d73030844"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36c8ad8acf177ffeb0a72c8d73030844">&#9670;&#160;</a></span>expanded()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> QCPDataRange::expanded </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns a data range that contains both this data range as well as <em>other</em>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l02299">2299</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_range_a36c8ad8acf177ffeb0a72c8d73030844_icgraph.png" border="0" usemap="#aclass_q_c_p_data_range_a36c8ad8acf177ffeb0a72c8d73030844_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_range_a36c8ad8acf177ffeb0a72c8d73030844_icgraph" id="aclass_q_c_p_data_range_a36c8ad8acf177ffeb0a72c8d73030844_icgraph">
<area shape="rect" title=" " alt="" coords="703,70,877,95"/>
<area shape="rect" href="class_q_c_p_data_selection.html#ae8097f4e4ffee7b1b5df27c93eb365db" title=" " alt="" coords="476,70,655,95"/>
<area shape="poly" title=" " alt="" coords="689,85,655,85,655,80,689,80"/>
<area shape="rect" href="class_q_c_p_abstract_plottable1_d.html#ae890e62ce403c54f575c73b9529f1af8" title=" " alt="" coords="232,5,399,45"/>
<area shape="poly" title=" " alt="" coords="495,69,399,47,400,42,496,64"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a243e0bb2563fc2e9f08efd77e7175abf" title=" " alt="" coords="208,70,423,95"/>
<area shape="poly" title=" " alt="" coords="462,85,423,85,423,80,462,80"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#a984e21a4d3189d3fce60a3b883a86752" title=" " alt="" coords="203,119,428,145"/>
<area shape="poly" title=" " alt="" coords="488,101,381,122,380,117,486,95"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a801e85931372abf2a1034bfb2eac5cd2" title=" " alt="" coords="11,70,149,95"/>
<area shape="poly" title=" " alt="" coords="194,85,149,85,149,80,194,80"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#a2a053fc53b7945cd2e3b93cef9cade9a" title=" " alt="" coords="5,119,155,145"/>
<area shape="poly" title=" " alt="" coords="189,135,155,135,155,129,189,129"/>
</map>
</div>

</div>
</div>
<a id="a84e1e03129dd52528efb4bac18d30183" name="a84e1e03129dd52528efb4bac18d30183"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84e1e03129dd52528efb4bac18d30183">&#9670;&#160;</a></span>intersection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> QCPDataRange::intersection </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns the data range which is contained in both this data range and <em>other</em>.</p>
<p>This method is very similar to <a class="el" href="class_q_c_p_data_range.html#a93529421d12fdd3a8bdb2b8061936352">bounded</a>, with one distinction: If this range and the <em>other</em> range share no intersection, the returned data range will be empty with begin and end set to 0. (<a class="el" href="class_q_c_p_data_range.html#a93529421d12fdd3a8bdb2b8061936352">bounded</a> would return a range with begin and end set to one of the boundaries of <em>other</em>, depending on which side this range is on.)</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_selection.html#af5267ced53687561367105ee77b874ab">QCPDataSelection::intersection</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l02314">2314</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_range_a84e1e03129dd52528efb4bac18d30183_cgraph.png" border="0" usemap="#aclass_q_c_p_data_range_a84e1e03129dd52528efb4bac18d30183_cgraph" alt=""/></div>
<map name="aclass_q_c_p_data_range_a84e1e03129dd52528efb4bac18d30183_cgraph" id="aclass_q_c_p_data_range_a84e1e03129dd52528efb4bac18d30183_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,192,31"/>
<area shape="rect" href="class_q_c_p_data_range.html#aae53a37472212dca0a7939963e20dba0" title=" " alt="" coords="240,5,399,31"/>
<area shape="poly" title=" " alt="" coords="192,15,226,15,226,21,192,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_range_a84e1e03129dd52528efb4bac18d30183_icgraph.png" border="0" usemap="#aclass_q_c_p_data_range_a84e1e03129dd52528efb4bac18d30183_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_range_a84e1e03129dd52528efb4bac18d30183_icgraph" id="aclass_q_c_p_data_range_a84e1e03129dd52528efb4bac18d30183_icgraph">
<area shape="rect" title=" " alt="" coords="981,148,1168,173"/>
<area shape="rect" href="class_q_c_p_data_range.html#a93529421d12fdd3a8bdb2b8061936352" title=" " alt="" coords="747,119,916,144"/>
<area shape="poly" title=" " alt="" coords="967,150,916,144,917,139,968,145"/>
<area shape="rect" href="class_q_c_p_data_selection.html#af5267ced53687561367105ee77b874ab" title=" " alt="" coords="729,172,933,197"/>
<area shape="poly" title=" " alt="" coords="968,174,934,177,933,172,968,169"/>
<area shape="rect" href="class_q_c_p_error_bars.html#aac9ffa98815035d300b2e9a67495ba4c" title=" " alt="" coords="493,47,659,87"/>
<area shape="poly" title=" " alt="" coords="766,118,656,90,657,85,767,113"/>
<area shape="rect" href="class_q_c_p_data_container.html#aa1b36f5ae86a5a5a0b92141d3a0945c4" title=" " alt="" coords="471,111,681,151"/>
<area shape="poly" title=" " alt="" coords="733,134,681,134,681,129,733,129"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a801e85931372abf2a1034bfb2eac5cd2" title=" " alt="" coords="254,5,393,31"/>
<area shape="poly" title=" " alt="" coords="479,51,389,33,390,28,480,46"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a8e904076bad643f43af28b95f21c1b88" title=" " alt="" coords="229,55,418,80"/>
<area shape="poly" title=" " alt="" coords="479,70,418,70,418,65,479,65"/>
<area shape="rect" href="class_q_c_p_error_bars.html#ad7c727736599dfb173f0952082e1a5b6" title=" " alt="" coords="224,104,423,129"/>
<area shape="poly" title=" " alt="" coords="480,89,390,107,389,101,479,84"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a35d48d6b283898e725cc9f3fb38c2769" title=" " alt="" coords="5,55,176,80"/>
<area shape="poly" title=" " alt="" coords="215,70,176,70,176,65,215,65"/>
<area shape="rect" href="class_q_c_p_data_selection.html#af296ec5a948656c1d1ecb7b2970d2a24" title=" " alt="" coords="474,176,678,201"/>
<area shape="poly" title=" " alt="" coords="716,189,678,190,678,184,716,184"/>
</map>
</div>

</div>
</div>
<a id="a279ed36602b39607699dc5652bcaf813" name="a279ed36602b39607699dc5652bcaf813"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a279ed36602b39607699dc5652bcaf813">&#9670;&#160;</a></span>adjusted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> QCPDataRange::adjusted </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>changeBegin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>changeEnd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a data range where <em>changeBegin</em> and <em>changeEnd</em> were added to the begin and end indices, respectively. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00974">974</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_range_a279ed36602b39607699dc5652bcaf813_icgraph.png" border="0" usemap="#aclass_q_c_p_data_range_a279ed36602b39607699dc5652bcaf813_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_range_a279ed36602b39607699dc5652bcaf813_icgraph" id="aclass_q_c_p_data_range_a279ed36602b39607699dc5652bcaf813_icgraph">
<area shape="rect" title=" " alt="" coords="203,55,372,80"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#a2a053fc53b7945cd2e3b93cef9cade9a" title=" " alt="" coords="5,5,155,31"/>
<area shape="poly" title=" " alt="" coords="219,54,134,33,135,28,221,49"/>
<area shape="rect" href="class_q_c_p_graph.html#a2b0849598f06e834b43ce18cd13bcdc3" title=" " alt="" coords="21,55,139,80"/>
<area shape="poly" title=" " alt="" coords="189,70,140,70,140,65,189,65"/>
<area shape="rect" href="class_q_c_p_curve.html#ac199d41d23865cd68bd7b598308a4433" title=" " alt="" coords="21,104,139,129"/>
<area shape="poly" title=" " alt="" coords="221,86,135,107,134,101,219,81"/>
</map>
</div>

</div>
</div>
<a id="a8a1c437f9beffd55621f48f961d7f679" name="a8a1c437f9beffd55621f48f961d7f679"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a1c437f9beffd55621f48f961d7f679">&#9670;&#160;</a></span>intersects()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPDataRange::intersects </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns whether this data range and <em>other</em> share common data points.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_range.html#a84e1e03129dd52528efb4bac18d30183">intersection</a>, <a class="el" href="class_q_c_p_data_range.html#a13ca398776374a3160aa85433718b812">contains</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l02328">2328</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a13ca398776374a3160aa85433718b812" name="a13ca398776374a3160aa85433718b812"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13ca398776374a3160aa85433718b812">&#9670;&#160;</a></span>contains()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPDataRange::contains </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns whether all data points of <em>other</em> are also contained inside this data range.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_range.html#a8a1c437f9beffd55621f48f961d7f679">intersects</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l02339">2339</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja przyjaciół i funkcji związanych</h2>
<a id="a486dd7af8a090ed069672e3510e6a082" name="a486dd7af8a090ed069672e3510e6a082"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a486dd7af8a090ed069672e3510e6a082">&#9670;&#160;</a></span>operator&lt;&lt;()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QDebug operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">QDebug&#160;</td>
          <td class="paramname"><em>d</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;&#160;</td>
          <td class="paramname"><em>dataRange</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">related</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Prints <em>dataRange</em> in a human readable format to the qDebug output. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01122">1122</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_range_a486dd7af8a090ed069672e3510e6a082_cgraph.png" border="0" usemap="#aclass_q_c_p_data_range_a486dd7af8a090ed069672e3510e6a082_cgraph" alt=""/></div>
<map name="aclass_q_c_p_data_range_a486dd7af8a090ed069672e3510e6a082_cgraph" id="aclass_q_c_p_data_range_a486dd7af8a090ed069672e3510e6a082_cgraph">
<area shape="rect" title=" " alt="" coords="5,31,188,56"/>
<area shape="rect" href="class_q_c_p_data_range.html#ae76d7eba9defdfafcd0fc41096793129" title=" " alt="" coords="236,5,387,31"/>
<area shape="poly" title=" " alt="" coords="188,30,222,26,223,31,189,35"/>
<area shape="rect" href="class_q_c_p_data_range.html#aee1b20fb045929c3753ee2ce14af7630" title=" " alt="" coords="241,55,382,80"/>
<area shape="poly" title=" " alt="" coords="189,51,227,55,227,61,188,56"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a849baf613e8ad866a66aaf45682dde53" name="a849baf613e8ad866a66aaf45682dde53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a849baf613e8ad866a66aaf45682dde53">&#9670;&#160;</a></span>mBegin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPDataRange::mBegin</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00980">980</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ac22cfcf2795d5e9f617d788be9fb14a0" name="ac22cfcf2795d5e9f617d788be9fb14a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac22cfcf2795d5e9f617d788be9fb14a0">&#9670;&#160;</a></span>mEnd</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPDataRange::mEnd</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00980">980</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
